/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    
    bindOnlineOfflineEvent: function() {
        document.addEventListener('online', this.online, false);
        document.addEventListener('offline', this.offline, false);
        app.onLog('bindOnlineOfflineEvent');
    },

    onDeviceReady: function() {
        app.receivedEvent('deviceready');
    },
	
	online: function() {
          console.log('online');
		  app.onLog('online');
    },
	
	onLog: function(info) {
		var logElement = document.getElementById('log');
		logElement.innerHTML = info;
    },
	
	checkConnection: function() {
	  var networkState = navigator.connection.type;
		var states = {};
		states[Connection.UNKNOWN]  = 'Unknown connection';
		states[Connection.ETHERNET] = 'Ethernet connection';
		states[Connection.WIFI]     = 'WiFi connection';
		states[Connection.CELL_2G]  = 'Cell 2G connection';
		states[Connection.CELL_3G]  = 'Cell 3G connection';
		states[Connection.CELL_4G]  = 'Cell 4G connection';
		states[Connection.CELL]     = 'Cell generic connection';
		states[Connection.NONE]     = 'No network connection';
		app.onLog('Connection type: ' + states[networkState]);
    },
	
	offline: function() {
          console.log('offline');
          app.onLog('offline');
    },
    // Update DOM on a Received Event
    receivedEvent: function(id) {
        var parentElement = document.getElementById(id);
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');

        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');

        app.onLog('Received Event: ' + id);
    }
};

app.initialize();

  var windowHeight = document.body.clientHeight;
  var titleHeight = document.querySelector('.app').offsetHeight;
  var logHeight = document.querySelector('#log').offsetHeight;
  document.querySelector('.btnList').style.height = ( windowHeight - titleHeight - logHeight - 60 ) + 'px'



